package com.dgtly.sync.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * MetaEmployeeMapper对象 meta_employee_diy_copy1
 *
 * @author dgtly
 * @date 2023-07-05
 */
public class MetaEmployeeDiy extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** null */
    @Excel(name = "null")
    private String name;

    /** null */
    @Excel(name = "null")
    private String loginName;

    /** null */
    @Excel(name = "null")
    private String email;

    /** null */
    @Excel(name = "null")
    private String mobile;

    /** null */
    @Excel(name = "null")
    private String sapEmployeeId;

    /** null */
    @Excel(name = "null")
    private String sapCostCenterCode;

    /** null */
    @Excel(name = "null")
    private String sapCostCenter;

    /** null */
    @Excel(name = "null")
    private String sapCompanyCode;

    /** null */
    @Excel(name = "null")
    private Long status;

    /** null */
    @Excel(name = "null")
    private String contract;

    /** null */
    @Excel(name = "null")
    private String contractName;

    /** null */
    @Excel(name = "null")
    private String contractBegin;

    /** null */
    @Excel(name = "null")
    private String duty;

    /** null */
    @Excel(name = "null")
    private String dutyName;

    /** null */
    @Excel(name = "null")
    private String org;

    /** null */
    @Excel(name = "null")
    private String orgName;

    /** null */
    @Excel(name = "null")
    private String employeePost;

    /** null */
    @Excel(name = "null")
    private String employeePostName;

    /** null */
    @Excel(name = "null")
    private String posty;

    /** null */
    @Excel(name = "null")
    private String poste;

    /** null */
    @Excel(name = "null")
    private String posnc;

    /** null */
    @Excel(name = "null")
    private String bossEmployeeId;

    /** null */
    @Excel(name = "null")
    private String bossName;

    /** null */
    @Excel(name = "null")
    private String bossEmployeePost;

    /** null */
    @Excel(name = "null")
    private String sex;

    /** null */
    @Excel(name = "null")
    private String objid1;

    /** null */
    @Excel(name = "null")
    private String stext1;

    /** null */
    @Excel(name = "null")
    private String objid2;

    /** null */
    @Excel(name = "null")
    private String stext2;

    /** null */
    @Excel(name = "null")
    private String objid3;

    /** null */
    @Excel(name = "null")
    private String stext3;

    /** null */
    @Excel(name = "null")
    private String objid4;

    /** null */
    @Excel(name = "null")
    private String stext4;

    /** null */
    @Excel(name = "null")
    private String objid5;

    /** null */
    @Excel(name = "null")
    private String stext5;

    /** null */
    @Excel(name = "null")
    private String objid6;

    /** null */
    @Excel(name = "null")
    private String stext6;

    /** null */
    @Excel(name = "null")
    private String objid7;

    /** null */
    @Excel(name = "null")
    private String stext7;

    /** null */
    @Excel(name = "null")
    private String objidQy;

    /** null */
    @Excel(name = "null")
    private String stextQy;

    /** null */
    @Excel(name = "null", width = 30, dateFormat = "yyyy-MM-dd")
    private Date etlCreatime;

    /** null */
    @Excel(name = "null")
    private String dataversion;

    /** null */
    @Excel(name = "null")
    private String lineId;

    /** null */
    @Excel(name = "null")
    private String packageId;

    /** null */
    @Excel(name = "null")
    private String businessUnit;

    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setLoginName(String loginName)
    {
        this.loginName = loginName;
    }

    public String getLoginName()
    {
        return loginName;
    }
    public void setEmail(String email)
    {
        this.email = email;
    }

    public String getEmail()
    {
        return email;
    }
    public void setMobile(String mobile)
    {
        this.mobile = mobile;
    }

    public String getMobile()
    {
        return mobile;
    }
    public void setSapEmployeeId(String sapEmployeeId)
    {
        this.sapEmployeeId = sapEmployeeId;
    }

    public String getSapEmployeeId()
    {
        return sapEmployeeId;
    }
    public void setSapCostCenterCode(String sapCostCenterCode)
    {
        this.sapCostCenterCode = sapCostCenterCode;
    }

    public String getSapCostCenterCode()
    {
        return sapCostCenterCode;
    }
    public void setSapCostCenter(String sapCostCenter)
    {
        this.sapCostCenter = sapCostCenter;
    }

    public String getSapCostCenter()
    {
        return sapCostCenter;
    }
    public void setSapCompanyCode(String sapCompanyCode)
    {
        this.sapCompanyCode = sapCompanyCode;
    }

    public String getSapCompanyCode()
    {
        return sapCompanyCode;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setContract(String contract)
    {
        this.contract = contract;
    }

    public String getContract()
    {
        return contract;
    }
    public void setContractName(String contractName)
    {
        this.contractName = contractName;
    }

    public String getContractName()
    {
        return contractName;
    }
    public void setContractBegin(String contractBegin)
    {
        this.contractBegin = contractBegin;
    }

    public String getContractBegin()
    {
        return contractBegin;
    }
    public void setDuty(String duty)
    {
        this.duty = duty;
    }

    public String getDuty()
    {
        return duty;
    }
    public void setDutyName(String dutyName)
    {
        this.dutyName = dutyName;
    }

    public String getDutyName()
    {
        return dutyName;
    }
    public void setOrg(String org)
    {
        this.org = org;
    }

    public String getOrg()
    {
        return org;
    }
    public void setOrgName(String orgName)
    {
        this.orgName = orgName;
    }

    public String getOrgName()
    {
        return orgName;
    }
    public void setEmployeePost(String employeePost)
    {
        this.employeePost = employeePost;
    }

    public String getEmployeePost()
    {
        return employeePost;
    }
    public void setEmployeePostName(String employeePostName)
    {
        this.employeePostName = employeePostName;
    }

    public String getEmployeePostName()
    {
        return employeePostName;
    }
    public void setPosty(String posty)
    {
        this.posty = posty;
    }

    public String getPosty()
    {
        return posty;
    }
    public void setPoste(String poste)
    {
        this.poste = poste;
    }

    public String getPoste()
    {
        return poste;
    }
    public void setPosnc(String posnc)
    {
        this.posnc = posnc;
    }

    public String getPosnc()
    {
        return posnc;
    }
    public void setBossEmployeeId(String bossEmployeeId)
    {
        this.bossEmployeeId = bossEmployeeId;
    }

    public String getBossEmployeeId()
    {
        return bossEmployeeId;
    }
    public void setBossName(String bossName)
    {
        this.bossName = bossName;
    }

    public String getBossName()
    {
        return bossName;
    }
    public void setBossEmployeePost(String bossEmployeePost)
    {
        this.bossEmployeePost = bossEmployeePost;
    }

    public String getBossEmployeePost()
    {
        return bossEmployeePost;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setObjid1(String objid1)
    {
        this.objid1 = objid1;
    }

    public String getObjid1()
    {
        return objid1;
    }
    public void setStext1(String stext1)
    {
        this.stext1 = stext1;
    }

    public String getStext1()
    {
        return stext1;
    }
    public void setObjid2(String objid2)
    {
        this.objid2 = objid2;
    }

    public String getObjid2()
    {
        return objid2;
    }
    public void setStext2(String stext2)
    {
        this.stext2 = stext2;
    }

    public String getStext2()
    {
        return stext2;
    }
    public void setObjid3(String objid3)
    {
        this.objid3 = objid3;
    }

    public String getObjid3()
    {
        return objid3;
    }
    public void setStext3(String stext3)
    {
        this.stext3 = stext3;
    }

    public String getStext3()
    {
        return stext3;
    }
    public void setObjid4(String objid4)
    {
        this.objid4 = objid4;
    }

    public String getObjid4()
    {
        return objid4;
    }
    public void setStext4(String stext4)
    {
        this.stext4 = stext4;
    }

    public String getStext4()
    {
        return stext4;
    }
    public void setObjid5(String objid5)
    {
        this.objid5 = objid5;
    }

    public String getObjid5()
    {
        return objid5;
    }
    public void setStext5(String stext5)
    {
        this.stext5 = stext5;
    }

    public String getStext5()
    {
        return stext5;
    }
    public void setObjid6(String objid6)
    {
        this.objid6 = objid6;
    }

    public String getObjid6()
    {
        return objid6;
    }
    public void setStext6(String stext6)
    {
        this.stext6 = stext6;
    }

    public String getStext6()
    {
        return stext6;
    }
    public void setObjid7(String objid7)
    {
        this.objid7 = objid7;
    }

    public String getObjid7()
    {
        return objid7;
    }
    public void setStext7(String stext7)
    {
        this.stext7 = stext7;
    }

    public String getStext7()
    {
        return stext7;
    }
    public void setObjidQy(String objidQy)
    {
        this.objidQy = objidQy;
    }

    public String getObjidQy()
    {
        return objidQy;
    }
    public void setStextQy(String stextQy)
    {
        this.stextQy = stextQy;
    }

    public String getStextQy()
    {
        return stextQy;
    }
    public void setEtlCreatime(Date etlCreatime)
    {
        this.etlCreatime = etlCreatime;
    }

    public Date getEtlCreatime()
    {
        return etlCreatime;
    }
    public void setDataversion(String dataversion)
    {
        this.dataversion = dataversion;
    }

    public String getDataversion()
    {
        return dataversion;
    }
    public void setLineId(String lineId)
    {
        this.lineId = lineId;
    }

    public String getLineId()
    {
        return lineId;
    }
    public void setPackageId(String packageId)
    {
        this.packageId = packageId;
    }

    public String getPackageId()
    {
        return packageId;
    }
    public void setBusinessUnit(String businessUnit)
    {
        this.businessUnit = businessUnit;
    }

    public String getBusinessUnit()
    {
        return businessUnit;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("name", getName())
                .append("loginName", getLoginName())
                .append("email", getEmail())
                .append("mobile", getMobile())
                .append("sapEmployeeId", getSapEmployeeId())
                .append("sapCostCenterCode", getSapCostCenterCode())
                .append("sapCostCenter", getSapCostCenter())
                .append("sapCompanyCode", getSapCompanyCode())
                .append("status", getStatus())
                .append("contract", getContract())
                .append("contractName", getContractName())
                .append("contractBegin", getContractBegin())
                .append("duty", getDuty())
                .append("dutyName", getDutyName())
                .append("org", getOrg())
                .append("orgName", getOrgName())
                .append("employeePost", getEmployeePost())
                .append("employeePostName", getEmployeePostName())
                .append("posty", getPosty())
                .append("poste", getPoste())
                .append("posnc", getPosnc())
                .append("bossEmployeeId", getBossEmployeeId())
                .append("bossName", getBossName())
                .append("bossEmployeePost", getBossEmployeePost())
                .append("sex", getSex())
                .append("objid1", getObjid1())
                .append("stext1", getStext1())
                .append("objid2", getObjid2())
                .append("stext2", getStext2())
                .append("objid3", getObjid3())
                .append("stext3", getStext3())
                .append("objid4", getObjid4())
                .append("stext4", getStext4())
                .append("objid5", getObjid5())
                .append("stext5", getStext5())
                .append("objid6", getObjid6())
                .append("stext6", getStext6())
                .append("objid7", getObjid7())
                .append("stext7", getStext7())
                .append("objidQy", getObjidQy())
                .append("stextQy", getStextQy())
                .append("etlCreatime", getEtlCreatime())
                .append("dataversion", getDataversion())
                .append("lineId", getLineId())
                .append("packageId", getPackageId())
                .append("businessUnit", getBusinessUnit())
                .toString();
    }
}
